import ee
from ee_plugin import Map

Map.setCenter(lon = 19.05, lat = 47.47, zoom = 12) # az ELTE-hez zoomolunk

# legyen WGS-84-ben (EPSG: 4326) a projekt!
abrazolt_terulet_listakent = Map.getBounds(asGeoJSON = False) # az ábrázolt téglalap alakú kivágat koordinátalistaként
abrazolt_terulet_listakent

# most pedig legyen Pseudo-Mercatorban (EPSG: 3857) a projekt!
abrazolt_terulet_listakent = Map.getBounds(asGeoJSON = False) # az ábrázolt téglalap alakú kivágat koordinátalistaként
abrazolt_terulet_listakent

abrazolt_terulet = Map.getBounds(asGeoJSON = True) # az ábrázolt téglalap alakú kivágat poligonként
Map.addLayer(
	eeObject = abrazolt_terulet,
	visParams = {"color": "red"},
	name = "ábrázolt terület",
	opacity = 0.5
)

orszagok = ee.FeatureCollection("USDOS/LSIB_SIMPLE/2017") # országhatárok
magyaro = orszagok.filter(ee.Filter.eq("country_na", "Hungary")) # "country_na" = 'Hungary'
Map.addLayer(
	eeObject = magyaro,
	visParams = {"color": "green"},
	name = "Magyarország"
)

Map.centerObject(magyaro, 7) # kizoomolunk Magyarországhoz

kozeppont = Map.getCenter() # a térképvászon geometriai középpontja
Map.addLayer(
	eeObject = kozeppont,
	visParams = {"color": "blue"},
	name = "középpont"
)

Map.getScale() # egy képpont oldalhossza (m)
Map.getZoom() # zoomtartomány

