import ee
from ee_plugin import Map

dataset = ee.ImageCollection("ECMWF/ERA5_LAND/MONTHLY_AGGR").filter(ee.Filter.date('2022-07-01', '2022-12-31'))
dataset = dataset.select("temperature_2m")

visualization = {
  "min": 250.0,
  "max": 320.0,
  "palette": [
    "#000080","#0000D9","#4000FF","#8000FF","#0080FF","#00FFFF",
    "#00FF80","#80FF00","#DAFF00","#FFFF00","#FFF500","#FFDA00",
    "#FFB000","#FFA400","#FF4F00","#FF2500","#FF0A00","#FF00FF",
  ]
}

median = dataset.median()

Map.setCenter(14, 48, 7)
Map.addLayer(median, visualization, "Air temperature [K] at 2m height", opacity = 0.4)
# vagy: Map.addLayer(dataset.median(), visualization, "Air temperature [K] at 2m height", opacity = 0.4)





