import ee
from ee_plugin import Map

adatsor = ee.Image("NASA/NASADEM_HGT/001")
dem = adatsor.select("elevation")

Map.setCenter(lon = 18.6191, lat = 47.2558, zoom = 15) # országos szintezési alappont (Nadap)
# legyen WGS-84-ben (EPSG: 4326) a projekt!
terulet = Map.getBounds(asGeoJSON = True) # az ábrázolt téglalap alakú kivágat poligonként

megjelenitesi_link = dem.getThumbURL(params = {
	"format": "png",
	"scale": 30,
	"region": terulet,
	"min": 0,
	"max": 400,
	"palette": ["palegreen", "green", "orange", "brown", "white"]
})
print(megjelenitesi_link)

letoltesi_link = dem.getDownloadURL(params = {
	"name": "dem_kivagat",
	"scale": 30,
	"region": terulet
})
print(letoltesi_link)





